Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 412091 - x11-plugins/pidgin-encryption with >=dev-libs/glib-2.31 fails to compile
Summary: x11-plugins/pidgin-encryption with >=dev-libs/glib-2.31 fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL: http://pidgin-encrypt.sourceforge.net
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-15 11:51 UTC by Balint SZENTE
Modified: 2012-04-19 09:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x11-plugins:pidgin-encryption-3.1:20120415-084545.log (x11-plugins:pidgin-encryption-3.1:20120415-084545.log,65.60 KB, text/plain)
2012-04-15 11:52 UTC, Balint SZENTE
Details
pidgin-encryption-3.1-glib-2.31.patch (pidgin-encryption-3.1-glib-2.31.patch,381 bytes, patch)
2012-04-15 11:53 UTC, Balint SZENTE
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balint SZENTE 2012-04-15 11:51:11 UTC
The package does not build with >=dev-libs/glib-2.31:
"...
In file included from rsa_nss.c:27:0:
/usr/include/glib-2.0/glib/gmain.h:21:2: error: #error "Only <glib.h> can be included directly."
..."


Reproducible: Always
Comment 1 Balint SZENTE 2012-04-15 11:52:15 UTC
Created attachment 309041 [details]
x11-plugins:pidgin-encryption-3.1:20120415-084545.log

The build log with the error.
Comment 2 Balint SZENTE 2012-04-15 11:53:24 UTC
Created attachment 309043 [details, diff]
pidgin-encryption-3.1-glib-2.31.patch

Simple patch to fix the compilation issue.
Comment 3 Pacho Ramos gentoo-dev 2012-04-19 09:43:41 UTC
+  19 Apr 2012; Pacho Ramos <pacho@gentoo.org>
+  +files/pidgin-encryption-3.1-glib2.32.patch, pidgin-encryption-3.1.ebuild:
+  Fix glib-2.32 building, bug #412091 by Balint SZENTE.
+